Redmine - Feature #5485

Readable date display for recent events : "3 hours ago™ instead of the full date
2010-05-09 17:24 - blue storm
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Invalid

Description

For recent events, a time indication relative to the present time is much more readable than the absolute datetime. For example, "3
hours & 31 minutes ago" is much more readable than "2010-05-09 14:56".

It would be nice if Redmine could (possibly optionally) display dates in such a format. There is a loss of precision : if you give hours
and minutes, you don't have the seconds count, but that is useless information anyway.

| think a very good default is to have the readable date format in the index pages (view issues and such) and the precise, absolute
datetime displayed on the item page.

History

#1 - 2010-12-27 14:08 - Bruno Medeiros

| never saw absolute dates in Redmine... Where did you find them?
#2 - 2010-12-28 03:16 - Mischa The Evil
Bruno Medeiros wrote:

| never saw absolute dates in Redmine... Where did you find them?

The only place | where could find them is on four issue-list columns:

.'Created'

. 'Updated'
.'Start (date)'
.'Due date'

A OND =

IMHO both 3 and 4 are validly rendered as absolute dates. For about 1 and 2 | am not so sure...

We may need to narrow this issue down to those two issue list columns... What do others think? Initial issue author?

#3 - 2011-11-23 22:28 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Invalid

11 months passing made me "sure" that also 1 and 2 are validly rendered as absolute dates. That and no other feedback => closing as invalid.
